/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <QtCore>
#include "streamitem.h"

bool STREAM::compareStreamName(const StreamItem *st1, const StreamItem *st2)
{
     return st1->name.toLower() < st2->name.toLower();
}
 
bool STREAM::compareStreamGenre(const StreamItem *st1, const StreamItem *st2)
{
     return st1->genre.toLower() < st2->genre.toLower();
}

bool STREAM::compareStreamCategorie(const StreamItem *st1, const StreamItem *st2)
{
     return st1->categorie.toLower() < st2->categorie.toLower();
}
