/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/ 
#include "menuitem.h"

//! ----- MenuItem -------------------------------------------------------------
MenuItem::MenuItem(): QStandardItem()
{
    _type = QStandardItem::UserType;
    setEditable(false);
    setSelectable(false) ;
}

MenuItem::MenuItem(const QString & text, const QIcon & icon )
        : QStandardItem(icon,text)
{
    _type = QStandardItem::UserType;
    setEditable(false);
    setSelectable(false) ;
}


MenuItem::MenuItem(const QString & text, const QIcon & icon, int type )
        : QStandardItem(icon,text)
{
    _type = type;
    setEditable(false);
    setSelectable(false) ;
}

