/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _PLSFILE_POPULATOR_H_
#define _PLSFILE_POPULATOR_H_

#include <QRunnable>
#include <QObject>

#include "Player/player.h"

class PlsFileModel;

class PlsFilePopulator :  public QObject, public QRunnable
{
Q_OBJECT
  public:
    explicit PlsFilePopulator();
    void run();
    bool isRunning() {return _isRunning;}

  private:
    PlsFileModel       *_plsFileModel;
    Player             *_player;
    bool               _isRunning;
    
  signals:
    void modelPopulated();    
};

#endif // _PLSFILE_POPULATOR_H_
